Game.Preloader = function(game){
	
	this.preloadBar = null;
	
}

Game.Preloader.prototype = {
	
	init:function(){
		
	},
	
	preload:function(){
		this.loadingBg = this.game.add.sprite(0,0,'loadingBg');
		
		loadingtext = this.add.text(760, 555, "Loading...");
		loadingtext.fill = "white";
		loadingtext.font = customFont2;
		loadingtext.stroke = "white";
		loadingtext.fontSize = 65;

		this.preloadBar = this.game.add.sprite(750, 650, 'preloadBar');

		this.load.setPreloadSprite(this.preloadBar, 0);
		
		
		//Main Menu
		this.load.image('gameTitle', 'assets/menu/game_title.png');
		//this.load.spritesheet('fullscreenBtn','assets/menu/fullscreen_btn.png',199,83,2);
		this.load.image('strikerTitle', 'assets/menu/striker_title.png');
		this.load.spritesheet('startBtn','assets/menu/start_btn.png',230,181,2);
		this.load.spritesheet('muteBtn','assets/menu/mute_btn.png',158,158,2);
		this.load.image('nickLogo','assets/menu/nicklogo.png');
		
		//Modes
		this.load.image('modeBg', 'assets/modes/mode_bg.jpg');
		this.load.spritesheet('freestyle','assets/modes/freestyle.png',348,353,2);
		this.load.spritesheet('blackwhite','assets/modes/blackwhite.png',348,353,2);
		
		//Rules
		this.load.spritesheet('nextBtn','assets/rules/next_btn.png',139,103,2);
		this.load.image('rulesBoard', 'assets/rules/rules_board.png');
		this.load.image('rulesBg', 'assets/rules/rules_bg.png');
		
		//IN GAME
		this.load.image('gameBg', 'assets/ingame/game_bg.jpg');
		this.load.image('gamePausedBg', 'assets/ingame/game_paused_bg.png');
		this.load.image('gameBoard', 'assets/ingame/ingame_board.png');
		this.load.image('whiteCoin', 'assets/ingame/white_coin.png');
		this.load.image('blackCoin', 'assets/ingame/black_coin.png');
		this.load.image('queenCoin', 'assets/ingame/queen_coin.png');
		this.load.image('spinDial', 'assets/ingame/spin_dial.png');
		this.load.image('striker', 'assets/ingame/striker.png');
		this.load.image('direction', 'assets/ingame/direction.png');
		this.load.image('white', 'assets/ingame/white.png');
		this.load.image('powerBarBg', 'assets/ingame/power_bar_bg.png');
		this.load.image('lever', 'assets/ingame/lever.png');
		this.load.image('power', 'assets/ingame/power.png');
		this.load.image('hole', 'assets/ingame/hole.png');
		this.load.image('hud', 'assets/ingame/hud.png');
		this.load.image('hudBlank', 'assets/ingame/hud_blank.png');
		this.load.image('gameOverBg', 'assets/ingame/game_over_bg.png');
		this.load.image('scrollBar', 'assets/ingame/scroll_bar.png');
		this.load.image('scroller', 'assets/ingame/scroller.png');
		this.load.spritesheet('menuBtn','assets/ingame/menu_btn.png',201,83,2);
		this.load.spritesheet('resumeBtn','assets/ingame/resume_btn.png',201,83,2);
		this.load.spritesheet('pauseBtn','assets/ingame/pause_btn.png',134,134,2);
		
		//SOUNDS
        this.load.audio('background',['sounds/background.mp3']);
        this.load.audio('button',['sounds/button.mp3']);
        this.load.audio('hit',['sounds/hit.mp3']);
		this.load.audio('win',['sounds/win.mp3']);
		this.load.audio('board',['sounds/board.mp3']);
		this.load.audio('hole',['sounds/hole.mp3']);

	},
	
	create:function(){

		backgroundSound = this.game.add.audio('background', 0.2, false);
		buttonSound = this.game.add.audio('button', 1, false);
		hitSound = this.game.add.audio('hit', 0.2, false);
		winSound = this.game.add.audio('win', 0.2, false);
		boardSound = this.game.add.audio('board', 0.2, false);
		holeSound = this.game.add.audio('hole', 1, false);
		
		this.startGamePlay(); 
		
		this.add.sprite(0, 0, ''); 
	},
	
	startGamePlay:function(){
		
		this.state.start('MainMenu');
		// this.state.start('GameBlack'); 
		// this.state.start('GameScene');

	},
	
	update:function(){
		// if(!this.game.scale.isLandscape) {
			// handleIncorrect();	
		// } else if(this.game.scale.isLandscape) {
			// handleCorrect();
        // }
	},
	
}
