Game.Rules = function(game){
	isDragging = false;	
}

Game.Rules.prototype = {
	
	init:function(){
		
	},
	
	preload:function(){ 
		
	},
	
	create:function(){
		rulesBg = this.game.add.sprite(0,0,'modeBg');
		
		nextBtn = this.game.add.button(1710,910, 'nextBtn',this.loadGame, this,1,0,1,1);
		
		prevBtn = this.game.add.button(210,910, 'nextBtn',this.loadModes, this,1,0,1,1);
		prevBtn.scale.x = -1;
		
		rulesBoard = this.game.add.sprite(525,120,'rulesBoard');
		
		rulesBg = this.game.add.sprite(570,155,'rulesBg');
		rulesGroup = this.game.add.group();
		
		var mask = this.game.add.graphics(0, 100);
    	mask.beginFill(0xffffff);
		mask.drawRect(570, 70, 755, 735);
		
		rulesHeading = createText(this.game,850, 195, 'RULES', '#fff', customFont1, 50, '#000', 0, false,0,false,true);
		rulesGroup.add(rulesHeading);
		
		rulesMainText = createText(this.game,590, 260, rulesTxtFreeStyle, '#fff', customFont2, 30, '#000', 0, true,670,false,false);
		rulesGroup.add(rulesMainText);
		
		if(currentMode=='freestyle')
			rulesSubHeading = createText(this.game,700, 1500, 'Free-style Mode', '#fff', customFont1, 50, '#000', 0, false,0,false,true);
		else
			rulesSubHeading = createText(this.game,690, 1500, 'Black-White Mode', '#fff', customFont1, 50, '#000', 0, false,0,false,true);
		rulesGroup.add(rulesSubHeading);
		
		if(currentMode=='freestyle')
			rulesModeText = createText(this.game,590, 1600, rulesModeFreeStyle, '#fff', customFont2, 30, '#000', 0, true,670,false,false);
		else
			rulesModeText = createText(this.game,590, 1600, rulesModeBlack, '#fff', customFont2, 30, '#000', 0, true,670,false,false);
		rulesGroup.add(rulesModeText);
		
		maskBounds = new Phaser.Rectangle(1275, 190, 50, 695);
		
		scrollBar = this.game.add.sprite(1275,180,'scrollBar');
		// var mask1 = this.game.add.graphics(0, 100);
    	// mask1.beginFill(0xffffff);
		// mask1.drawRect(1275, 80, 50, 735);
		
		scroller = this.game.add.sprite(1280,190,'scroller');
		scroller.inputEnabled = true;
		scroller.input.enableDrag();
		scroller.input.allowHorizontalDrag = false;
		scroller.input.boundsRect = maskBounds;
		scroller.events.onDragStart.add(this.startDragging,this);
		scroller.events.onDragStop.add(this.stopDragging, this);
		
		rulesGroup.mask = mask;
		
		muteBtn = this.game.add.button(50, 30, 'muteBtn', toggleSound, this);
		if (isSoundOn == true)
			muteBtn.frame = 0;
		else
		muteBtn.frame = 1;
		
		overlay = this.game.add.sprite(0,0,'overlayBg');
		this.game.add.tween(overlay).to({alpha:0},700,Phaser.Easing.Linear.None).start();
		
		this.add.sprite(0, 0, '');
	},
	
	startDragging:function(){
		isDragging = true;
	},
	
	stopDragging:function(){
		isDragging = false;
	},
	
	scrollRules:function(){
		percent = (scroller.y / 611)-0.31;
		rulesGroup.y=  -(rulesGroup.height * percent * 0.8);
	},
	
	loadGame:function(){
		buttonSound.play();
		if(currentMode=='freestyle')
			this.state.start('GameScene');
		else{
			console.log("black");
			this.state.start('GameBlack');
		}
	},
	
	loadModes:function(){
		buttonSound.play();
		this.state.start('Modes');
	},
	
	
	update:function(){
		if(!backgroundSound.isPlaying){
         	backgroundSound.stop();
            backgroundSound.play();
        }
        
        if(isDragging){
        	this.scrollRules();
        }
        
        // if(!this.game.scale.isLandscape) {
			// handleIncorrect();	
		// } else if(this.game.scale.isLandscape) {
			// handleCorrect();
        // }
	},
	
}
